var commonMessage = {
  exSensorNotConnect :  'External force sensor is not connected.',
  finish             : 'The setting of parameters have been completed successfully.',
  finishAndUpdatePos : 'The setting of parameters have been completed successfully.' + '<br> The start position has been updated.',
  popBtnOk           : 'OK',
  popBtnNo           : 'No',
  popBtnCancel       : 'CANCEL',
  popAutoTuningTitle : 'Automatic Tuning',
  popAutoTuningMessage : 'The robot operates automatically during automatic tuning.<br>Are you sure you want to start automatic tuning?',
  stopLimit : function(stopLimitForceTxt) {
    return 'Target force is exceeded the stop limit. <br>Set the push force less than ' + stopLimitForceTxt + ' N' +
    '.'
  },
  AutoAdjRunning   :  'Automatic tuning in progress',
  confAdjSuspend   :  'Automatic tuning is in progress. <br>Do you want to stop?',
  AutoAdjFailed    :  'Automatic tuning failed.',
  testRunFinish    :  'Test Run is finished.',
  testRunSuspend   : 'Test Run has been suspended.',
  notFoundForceCoord   : 'The force control coordinate system is not found.',
  popMessageFailDelete : function(coordComment){
    return 'Failed to delete the force control coordinate system "{coordComment}".'.replace('{coordComment}', coordComment);
  },
  popMessageFailEdit : function(coordComment){
    return 'Failed to edit the force control coordinate system "{coordComment}".'.replace('{coordComment}', coordComment);
  },
  popMessageConfirmDelete : function(coordComment){
    return 'Do you want to delete the force control coordinate system "{coordComment}"?'.replace('{coordComment}', coordComment);
  },
  AutoTuneSuspend            : 'Automatic tuning has been suspended.<br>Please reset alarm and try again.',
};
var controllerErrorMessage = {
  CCER_PAT_INCF_C :  'Automatic tuning cannot be executed due to contact stop.<br>' + 'Please change the position.' ,
  CCER_PAT_CSTOP_ERR_C :  'Reset Contact stop',
  CCER_PAT_AUTO_ERR_C  :  'Set to AUTO mode',
  CCER_PAT_ALARM_ERR_C :  'Reset alarm',
  CCER_PAT_ORT_ERR_C    :  'Reduce orient error',
  CCER_PAT_HAND_ERR_C   :  'Unable to tune with this hand',
  CCER_PAT_INSPOS_ERR_C :  'Unable to tune in this position',
  SY_LDTR_PGPS         :  'Disable the direct teach mode',
  CCER_UIPAR_C         :  'UI parameters are not set.',
  ER_PAT_START_POS_C      :  'Please move to start position and then try again.',
  CCER_CHUCK_IO_SET_C       :  'Please check the settings of Chuck Close/Status Signal.',
  CCER_CHUCK_IO_VAL_C       :  'The current value (OFF/ON) of Chuck close signal or Chuck status signal is the same as the designed value in the Details screen. Please change the current value of the signal.',

  UNDEFINED            :  'Internal error occurred',
}
